org.apache.tinkerpop.gremlin.algorithm.generator

## Class DistributionGenerator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator
  - - org.apache.tinkerpop.gremlin.algorithm.generator.DistributionGenerator

- All Implemented Interfaces:
    Generator

      public class DistributionGenerator
      extends AbstractGenerator

  Generates a synthetic network for a given out- and (optionally) in-degree distribution.
  Author:
    Matthias Broecheler (me@matthiasb.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DistributionGenerator.Builder`

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator

      `AbstractGenerator.AbstractGeneratorBuilder<T extends AbstractGenerator.AbstractGeneratorBuilder>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator

      `g, seedSupplier`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DistributionGenerator.Builder` | `build(Graph g)`
    `int` | `generate()` Generate the elements in the graph given the nature of the implementation and return the number of edges generated as a result.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator

      `addEdge, processVertex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### generate

          public int generate()

      Description copied from interface: `Generator`
      Generate the elements in the graph given the nature of the implementation and return the number of edges generated as a result.
      Returns:
        number of edges generated

    - #### build

          public static DistributionGenerator.Builder build(Graph g)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.